# module ActionDispatch::Session::DestroyableSession

### Public Instance Methods

destroy() click to toggle source

    # File lib/action_dispatch/middleware/session/abstract_store.rb, line 13
    def destroy
      clear
      options = @env[Rack::Session::Abstract::ENV_SESSION_OPTIONS_KEY] if @env
      options ||= {}
      @by.send(:destroy_session, @env, options[:id], options) if @by
      options[:id] = nil
      @loaded = false
    end